Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062835 - RFE: SubRip Text (.srt) subtitle format support
Summary: RFE: SubRip Text (.srt) subtitle format support
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Logic
Version: development
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5
Assignee: Damian Jansen
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Depends On: 1066694
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-08 06:34 UTC by Damian Jansen
Modified: 2015-01-26 23:27 UTC (History)
4 users (show)

Fixed In Version: 3.5.0-SNAPSHOT (git-server-3.4.1-77-gc84b8dd)
Doc Type: Bug Fix
Doc Text:
Story Points: 1
Clone Of:
Environment:
Last Closed: 2015-01-26 23:27:55 UTC


Attachments (Terms of Use)

Description Damian Jansen 2014-02-08 06:34:22 UTC
Description:
SRT format is widespread and is synonymous with translation.
Support for the video subtitle format SubRip Text in Zanata would be cool.
Okapi supports it via RegexFilter (and provides the _tested_ regex).

Comment 2 Damian Jansen 2014-03-04 05:21:07 UTC
After gh reviews, have updated it to include SubView and WebVTT (essentially the same formatting).

Comment 4 David Mason 2014-06-16 01:47:47 UTC
Note: with this change, the file project type supports the following extensions:

 - .srt
 - .vtt
 - .sub
 - .sbt

Comment 5 Ding-Yi Chen 2014-06-16 05:01:04 UTC
VERIFIED with Zanata 3.5.0-SNAPSHOT (git-server-3.4.1-77-gc84b8dd)


Note You need to log in before you can comment on or make changes to this bug.